> For the complete documentation index, see [llms.txt](https://docs.alcor.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alcor.exchange/developers-api/contract-actions.md).

# Contract actions

**Open new market**

Transfer 3.0000 EOS to dex contract account with memo:\
\
`new_market|0.<token_precision> <token_symbol>@<token_contract>`

Example memo:

```
new_market|0.00000000 WEED@weedcashnt
```

{% hint style="info" %}
&#x20;Check dex contract account name on Developers API main page.
{% endhint %}

**Submit order**

Send the amoun&#x74;**(bid)** you want to sell to dex contract account, and specify the amount you **ask** in the memo, the price and market will be automatically determined in the contract. Memo format(**ask** token):\
\
`<token_amount> <token_symbol>@<token_contract>`

Example:

```
1000.0000 TKT@eossanguotkt
```

{% hint style="info" %}
Make sure you provide token contract and correct precision!
{% endhint %}

**Order cancelation**

Call action `cancelsell` or `cancelbuy` with parameters

* **executor** - order owner account name
* **market\_id -** id of the order related market
* **order\_id -** order id.

**View actions on bloks.io** (Links)

[Cancelbuy](https://bloks.io/account/eostokensdex?loadContract=true\&tab=Actions\&table=markets\&account=eostokensdex\&scope=eostokensdex\&limit=100\&action=cancelbuy)\
[Cancelsell](https://bloks.io/account/eostokensdex?loadContract=true\&tab=Actions\&table=markets\&account=eostokensdex\&scope=eostokensdex\&limit=100\&action=buyreceipt)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alcor.exchange/developers-api/contract-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
